boost::geometry::strategy::within::point_in_box_by_side< Point, Box, Decide > Struct Template Reference

List of all members.

## Public Types

typedef strategy::side::services::default_strategy < typename cs_tag< Box >::type > ::type | side_strategy_type

## Static Public Member Functions

static bool | apply (Point const &point, Box const &box)

### template<typename Point, typename Box, typename Decide = decide_within>
struct boost::geometry::strategy::within::point_in_box_by_side< Point, Box, Decide >

## Member Typedef Documentation

template<typename Point , typename Box , typename Decide = decide_within>

typedef strategy::side::services::default_strategy< typename cs_tag<Box>::type >::type boost::geometry::strategy::within::point_in_box_by_side< Point, Box, Decide >::side_strategy_type

## Member Function Documentation

template<typename Point , typename Box , typename Decide = decide_within>

static bool boost::geometry::strategy::within::point_in_box_by_side< Point, Box, Decide >::apply | ( | Point const & | point,
|  | Box const & | box
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK